update_automation
curl --request PATCH \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {},
"condition_group": {},
"branches": {
"default": [
{}
]
},
"job_id": "<string>",
"status": "<string>",
"clear_job": false
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {},
condition_group: {},
branches: {default: [{}]},
job_id: '<string>',
status: '<string>',
clear_job: false
})
};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}"
payload = {
"name": "<string>",
"trigger": {},
"condition_group": {},
"branches": { "default": [{}] },
"job_id": "<string>",
"status": "<string>",
"clear_job": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}Automations
update_automation
Patch one Fixed hiring automation. Only set fields change. Pass clear_job true to drop the job scope. Does not send email. MCP tool: update_automation.
PATCH
/
v1
/
employer
/
automations
/
{automation_id}
update_automation
curl --request PATCH \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {},
"condition_group": {},
"branches": {
"default": [
{}
]
},
"job_id": "<string>",
"status": "<string>",
"clear_job": false
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {},
condition_group: {},
branches: {default: [{}]},
job_id: '<string>',
status: '<string>',
clear_job: false
})
};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}"
payload = {
"name": "<string>",
"trigger": {},
"condition_group": {},
"branches": { "default": [{}] },
"job_id": "<string>",
"status": "<string>",
"clear_job": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}Authorizations
Employer session JWT from Better Auth.
Path Parameters
Automation UUID.
Body
application/json
THEN. Object with key default whose value is the action list.
Show child attributes
Show child attributes
Job UUID. Ignored when clear_job is true.
active, paused, or archived.
true drops the job scope so the automation is company-wide.
Response
200 - application/json
Success
The response is of type object.